package com.supervision.manage.constant;

import cn.hutool.core.util.StrUtil;
import lombok.Getter;

/**
 * 处置计划枚举
 */
@Getter
public enum DisposalPlanEnum {

    PROTECTION("1", "护理"),
    ACTIVITY_STRENGTH("2", "活动强度"),
    ADVENTURE("3", "宣教"),
    NUTRITION("4", "饮食"),
    PSYCHOLOGICAL_CONSULTATION("5", "心理咨询"),
    SPECIAL_DISPOSAL("6", "特殊处置"),
    COMMUNITY_RESOURCE("7", "社区资源"),
    MEDICINE("8", "药物"),
    CLINIC_VISIT("9", "会诊"),
    FOLLOW_VISIT("10", "随诊");

    private String code;
    private String name;

    DisposalPlanEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static boolean containsCode(String code){
        if (StrUtil.isEmpty(code)){
            return false;
        }
        for(DisposalPlanEnum disposalPlanEnum : DisposalPlanEnum.values()){
            if(disposalPlanEnum.getCode().equals(code)){
                return true;
            }
        }
        return false;
    }
}
