package com.supervision.manage.controller.config;


import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.manage.service.AncillaryItemManageService;
import com.supervision.model.ConfigAncillaryItem;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@Api(tags = "辅助检查项管理")
@RestController
@RequestMapping("ancillaryItem")
@RequiredArgsConstructor
public class AncillaryItemManageController {

    private final AncillaryItemManageService ancillaryItemManageService;

    @ApiOperation("查询辅助检查项目列表")
    @GetMapping("queryAncillaryItemList")
    public List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo) {
        return ancillaryItemManageService.queryAncillaryItemList(ancillaryItemReqVo);
    }

    @ApiOperation("分页查询辅助检查")
    @GetMapping("queryAncillaryPage")
    public IPage<ConfigAncillaryItem> queryAncillaryPage(String name, String type, Integer pageNum, Integer pageSize) {
        return ancillaryItemManageService.queryAncillaryPage(name, type, pageNum, pageSize);
    }

    @ApiOperation("保存辅助检查项")
    @PostMapping("saveAncillaryItem")
    public void saveAncillaryItem(@RequestBody ConfigAncillaryItem configAncillaryItem) {
        ancillaryItemManageService.saveAncillaryItem(configAncillaryItem);
    }

    @ApiOperation("修改辅助检查项")
    @PostMapping("modifyAncillaryItem")
    public void modifyAncillaryItem(@RequestBody ConfigAncillaryItem configAncillaryItem) {
        ancillaryItemManageService.modifyAncillaryItem(configAncillaryItem);
    }

    @ApiOperation("删除辅助检查项")
    @GetMapping("deleteAncillaryItem")
    public void deleteAncillaryItem(String id){
        ancillaryItemManageService.deleteAncillaryItem(id);
    }

}
