package com.supervision.manage.controller.config;

import com.supervision.dto.CommonDictTreeDTO;
import com.supervision.service.CommonDicService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "通用字典管理")
@RestController
@RequestMapping("/commonDic")
@RequiredArgsConstructor
public class CommonDicManageController {

    private final CommonDicService commonDicService;
    @ApiOperation("查询字典树")
    @GetMapping("/queryCommonDictTree")
    public List<CommonDictTreeDTO> queryAncillaryItemList(String groupCode) {
       return commonDicService.queryCommonDictTree(groupCode);
    }
}
