package com.supervision.manage.controller.config;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.manage.service.DrugManageService;
import com.supervision.model.ConfigDrug;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@Api(tags = "药物管理")
@RestController
@RequestMapping("/drugManage")
@RequiredArgsConstructor
public class DrugManageController {

    private final DrugManageService drugManageService;
    @ApiOperation("新增药物信息")
    @PostMapping("/save")
    public String saveDrug(@RequestBody ConfigDrug configDrug) {

        ConfigDrug result = drugManageService.saveDrug(configDrug);
        return result.getId();
    }

    @ApiOperation("删除药物信息")
    @DeleteMapping("/delete")
    public boolean deleteDrug(@ApiParam("药品id")@RequestParam("id") String id) {

        return drugManageService.deleteDrugById(id);
    }

    @ApiOperation("修改药物信息")
    @PutMapping("/update")
    public boolean updateDrug(@RequestBody ConfigDrug configDrug) {

        return drugManageService.updateDrug(configDrug);
    }

    @ApiOperation("分页查询药物信息")
    @GetMapping("/queryPageList")
    public IPage<ConfigDrug> queryPageList(@RequestParam(defaultValue = "1")Integer pageNum,
                                           @RequestParam(defaultValue = "10")Integer pageSize,
                                           @ApiParam("药品名称")
                                     @RequestParam(required = false) String drugName) {

        return drugManageService.queryPageList(pageNum, pageSize, drugName);
    }
}
