package com.supervision.manage.controller.config;


import com.supervision.manage.service.PhysicalLocationManageService;
import com.supervision.vo.manage.PhysicalLocationNode;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "身体位置管理")
@RestController
@RequestMapping("physicalLocation")
@RequiredArgsConstructor
public class PhysicalLocationManageController {

    private final PhysicalLocationManageService physicalLocationManageService;
    @ApiOperation("查询身体部位树")
    @GetMapping("/queryTree")
    public List<PhysicalLocationNode> queryTree() {

        return physicalLocationManageService.queryTree();

    }

    @ApiModelProperty("查询体格检查身体部位配置树(支持已配置部位)")
    @GetMapping("queryLocationTreeForPhysicalConfig")
    public List<PhysicalLocationNode> queryLocationTreeForPhysicalConfig(String physicalId) {
        return physicalLocationManageService.queryLocationTreeForPhysicalConfig(physicalId);
    }



}
