package com.supervision.manage.controller.diseasemanage;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.manage.service.DiseaseManageService;
import com.supervision.model.Disease;
import com.supervision.vo.manage.DiseaseReqVo;
import io.swagger.annotations.*;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

@Api(tags = "疾病管理")
@RestController
@RequestMapping("disease")
@RequiredArgsConstructor
public class DiseaseManageController {


    private final DiseaseManageService diseaseManageService;


    @PostMapping("/save")
    @ApiOperation("新增疾病")
    @ApiModelProperty
    public Disease saveDisease(@RequestBody Disease disease) {

        return diseaseManageService.saveDisease(disease);
    }

    @ApiOperation("删除疾病")
    @DeleteMapping("/delete")
    public boolean deleteDisease(@ApiParam("疾病id") @RequestParam String id) {

        return diseaseManageService.deleteDisease(id);

    }

    @ApiOperation("修改疾病信息")
    @PutMapping("/update")
    public boolean updateDisease(@RequestBody Disease disease) {

        return diseaseManageService.updateDisease(disease);

    }


    @ApiOperation("查询分页疾病列表")
    @GetMapping("/queryPageList")
    public IPage<? extends Disease> queryPageList(@RequestParam(defaultValue = "1")Integer pageNum,
                                                  @RequestParam(defaultValue = "10")Integer pageSize,
                                                  DiseaseReqVo diseaseReqVo) {

        return diseaseManageService.queryPageList(pageNum,pageSize, diseaseReqVo);

    }








}
