package com.supervision.manage.pojo.vo;

import com.supervision.model.MedicalRec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "病历管理创建及新建", parent = MedicalRec.class)
public class MedicalRecManageVO extends MedicalRec {

    @NotBlank(message = "疾病不能为空")
    @ApiModelProperty("step:1 疾病ID")
    private String diseaseId;

    @ApiModelProperty("step:4 应答策略")
    private List<MedicalRecQaVO> qaList;

}
