package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 药品配置表
 * @TableName vp_config_drug
 */
@TableName(value ="vp_config_drug")
@Data
public class ConfigDrug implements Serializable {
    /**
     * 主键
     */
    private String id;

    /**
     * 药品名
     */
    private String drugName;

    /**
     * 药品英文名
     */
    private String drugNameEn;

    /**
     * 规格
     */
    private String specification;

    /**
     * 剂量
     */
    private Long dose;

    /**
     * 单位
     */
    private String unit;

    /**
     * 用药间隔(天) 时间间隔：每日一次，每日两次，每日三次，每日四次
     */
    private String intervalDay;

    /**
     *用药间隔(小时) 小时数
     */
    private String intervalHour;
    /**
     * 剂型 用药途径：口服，静脉注射，静脉输液，皮下注射，局部用药，气雾剂/粉雾剂吸入，雾化吸入，鞘内注射，其他
     */
    private String dosageForm;

    /**
     * 是否需要皮试(0:不需要 1：需要)
     */
    private String skinTestFlag;

    /**
     * 费用类型(0:资费 1：医保报销)
     */
    private Integer costType;

    /**
     * 创建人ID
     */
    @ApiModelProperty(hidden = true)
    private String createUserId;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(hidden = true)
    private String updateUserId;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}